Subject: Re: [RFC & PATCH] Solaris 8: ENOSYS when mkdir applied to automount.

From: Jason Riedy <[email-masked]>
Date: Wed, 01 Feb 2006 20:14:00 -0800

And Junio C Hamano writes:
 - There was a similar patch for working around Cygwin that threw
 - different errno in an earlier thread:

Thanks.  The thread mentioned in that one seems to have a few
"right" solutions.  A compat/gitmkdirat.c likely is the best,
modelled after the gnulib one.  I'll look at it when I can in 
the next week or so, so you can ignore my patch.

 - Somehow I started to trust your ability to code portably a lot
 - better than I trust myself, [...]

eep.  ;)  I only have access to three major variations at the
moment (Linux, semi-old Solaris, recent AIX), so I'm not an
authority...  Solaris 8 is from before the general Linux/glibc 
compatability movement, so it's pretty useful for testing.

Jason